log4j.rootLogger=DEBUG, FLYS

########## INTERNAL PACKAGES
log4j.category.org.dive4elements.river.client.server=INFO

########## EXTERNAL PACKAGES
log4j.category.org.apache.http=ERROR
log4j.category.org.dive4elements.artifacts.httpclient=WARN

########## APPENDER SETTINGS
log4j.appender.FLYS.layout=org.apache.log4j.PatternLayout
log4j.appender.FLYS.layout.ConversionPattern=%d [%t] %-5p %c - %m%n

log4j.appender.FLYS=org.apache.log4j.ConsoleAppender
log4j.appender.FLYS.Target = System.out

########## LOG USER-AUTHENTICATIONS
log4j.logger.org.dive4elements.river.client.server.LoginServlet=INFO, AUTH
log4j.logger.org.dive4elements.river.client.server.SamlServlet=INFO, AUTH
log4j.appender.AUTH=org.apache.log4j.DailyRollingFileAppender
log4j.appender.AUTH.DatePattern='.'yyyy-MM
log4j.appender.AUTH.layout=org.apache.log4j.PatternLayout
log4j.appender.AUTH.layout.ConversionPattern=%d %m%n
log4j.appender.AUTH.File=C://Temp/client-3.3.0-auth.log